Bug 727842 - Request to include fpaste in installer ramdisk
Request to include fpaste in installer ramdisk
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lorax (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Gracik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-03 07:45 EDT by James Laska
Modified: 2013-09-02 02:57 EDT (History)
6 users (show)

See Also:
Fixed In Version: lorax-16.4.7-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-20 00:01:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Laska 2011-08-03 07:45:58 EDT
Description of problem:

fpaste is *extremely* useful for debugging installer problems.  Often, for remote install situations in awkward environments, it's the only way to transmit debugging logs for remote analysis.  Often, I manually 'wget' the fpaste python script, modify the first line of the script, and run it.  

Is it possible to include the fpaste script directly in the initrd?
Comment 1 Fabian Deutsch 2011-09-30 09:14:41 EDT
If space is crucial, you mgiht also have a look at 
http://fedorasolved.org/Members/zcat/fpaste.py/view
a python "paste client".
Comment 2 Fabian Deutsch 2011-10-16 09:13:14 EDT
Local has dropped the dependency of fpaste on xsel, so all the xorg stuff is not pulled in. Ankur, the fpaste maintainer, will update the package as soon as a new release happens.

What else has to be done? Only the small change to lorax's ramdisk.ltmpl? Or more that I can do?
Comment 3 Fedora Update System 2011-10-17 13:24:54 EDT
lorax-16.4.7-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/lorax-16.4.7-1.fc16
Comment 4 Fedora Update System 2011-10-18 03:18:00 EDT
Package lorax-16.4.7-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lorax-16.4.7-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14471
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2011-10-20 00:01:39 EDT
lorax-16.4.7-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.